Subject: bug#57246: closed (Re: bug#57246: biblatex don't recognize video type entry)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 02 Jan 2025 05:49:03 +0000

Your bug report

#57246: biblatex don't recognize video type entry

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
57246: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57246
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#57246: biblatex don't recognize video type entry
From: Roland Winkler <[email-masked]>
To: Arash Esbati <[email-masked]>
Cc: [email-masked], Lars Ingebrigtsen <[email-masked]>, Stefan Kangas <[email-masked]>, Cletip Cletip <[email-masked]>
Date: Wed, 01 Jan 2025 23:48:32 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Aug 18 2022, Roland Winkler wrote:
> As biblatex evolves, the default value of bibtex-biblatex-entry-alist
> requires minor updates with each release of emacs.  If a user has customized
> this variable to modify or add just one cell of this alist. this stores
> the entire value of this variable in her emacs init file.  Then she
> misses the updates that appear in new releases of emacs.
>
> That's why I suggested that the customize machinery should allow users
> to modify or add individiual cells of an alist without storing the
> entire alist in the user's init file.

I added new variables bibtex-BibTeX-aux-entry-alist
bibtex-biblatex-aux-entry-alist that should facilitate this process.
Also, these variables now accept aliases.

commit b26418694e8

Closing.

Subject: biblatex don't recognize video type entry
From: Cletip Cletip <[email-masked]>
To: [email-masked]
Date: Tue, 16 Aug 2022 19:08:48 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello
It's all in the object: biblatex does not recognize inputs of type "video".
I think that the bibtex-biblatex-entry-alist variable (and maybe
bibtex-biblatex-field-alist) should be modified

Thanks in advance